# Update debian
apt-get update; apt-get upgrade -y

# Installation of Docker
apt-get remove docker docker-engine docker.io containerd runc
apt-get install -y \
    apt-transport-https \
    ca-certificates \
    curl \
    gnupg2 \
    software-properties-common \
    htop
curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add -
apt-key fingerprint 0EBFCD88
add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/debian \
   $(lsb_release -cs) \
   stable"
apt-get update
apt-get install -y docker-ce docker-ce-cli containerd.io

# Add Alias in bash
./docker/add-alias.sh

# Generate Docker Image for api

docker build -f docker/c2a-api.dockerfile -t c2a/api .

# Copy script to launch APIs
# Need to clone in /app/dev for dev and /app/prod for prod

mkdir /root/.bin
cp docker/script/start-api-dev.sh /root/.bin
cp docker/script/start-api-prod.sh /root/.bin

# Install let's encrypt
git clone https://github.com/letsencrypt/letsencrypt /opt/letsencrypt

# Launch Install Script
./docker/install-nginx.sh
./docker/install-gitlab.sh
./docker/install-jenkins.sh
./docker/install-portainer.sh
./docker/install-mongo.sh

service nginx restart
